var express = require("express");
const router = express.Router();
const db = require("../../utils/database");

router.post("/deleteDefectPart", (req, res) => {
  const id = req.body.id;
  db.getConnection((err, connection) => {
    if (err) {
      console.log("database not connected error: >>>", err);
      throw err;
    }
    console.log("get Connection");
    let dQuer = `delete from finehhdi_eDefect.DefectParts where id=${id}`;
    connection.query(dQuer, (err, data) => {
      connection.release()
      if (err) {
        if (err.code === "ENOTFOUND") {
          res.status(404).json({
            message: "Internet Connection Failed",
            results: "failed",
          });
        } else {
          res.status(401).json({
            message: "dep creation failed",
            results: "Failed",
          });
        }
      } else {
        res.status(200).json({
          message: "Deleted Successfully",
          results: "Success",
        });
      }
    });
    console.log("release Connection");
  });
});

module.exports = router;
